SCSIInterface (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.SCSIInterface interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface SCSIInterface

All Superinterfaces:
  ControlledBy, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SCSIInterface

extends ControlledBy

This is a specialized subclass of ControlledBy It represents a connection between a SCSI controller and a SCSI device This is a many-to-many relationsship. e.g. A SCSIController can access multiple MediaAccessDevices. A MediaAccessDevice can be accessed via multiple controllers.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getInitiatorId()`
`int` | `getTargetId()`
`int` | `getTargetLUN()`
`boolean` | `hasInitiatorId()`
`boolean` | `hasTargetId()`
`boolean` | `hasTargetLUN()`
`void` | `setInitiatorId(int id)`
`void` | `setTargetId(int id)`
`void` | `setTargetLUN(int lun)`

Methods inherited from interface com.collation.platform.model.topology.dev.ControlledBy
`getController, getDevice, getName, hasController, hasDevice, hasName, setController, setDevice, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getInitiatorId

    int getInitiatorId()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInitiatorId

    void setInitiatorId(int id)

### hasInitiatorId

    boolean hasInitiatorId()

### getTargetId

    int getTargetId()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetId

    void setTargetId(int id)

### hasTargetId

    boolean hasTargetId()

### getTargetLUN

    int getTargetLUN()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTargetLUN

    void setTargetLUN(int lun)

### hasTargetLUN

    boolean hasTargetLUN()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD